Get a list of organisations
GET
/api/v1/organisations
const url = 'https://example.com/api/v1/organisations?limit=1&offset=1&order_by=name&order_by_direction=ASC&id=example&name=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/organisations?limit=1&offset=1&order_by=name&order_by_direction=ASC&id=example&name=example' \ --header 'Authorization: Bearer <token>'Fetch all the organisations a user manages. If the user is a superuser, that’s all the organisations. The list can be filtered by id prefix and by name substring.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”pagination
required
object
limit
required
number format: int64
offset
required
number format: int64
order_by
required
string
order_by_direction
required
string
filters
required
object
id
string
name
string
Responses
Section titled “Responses”default
Section titled “default”On success
Media typeapplication/json
object
code
required
number format: int32
data
required
Array<object>
object
allowed_device_types
required
Array<string>
created_at
required
string format: date-time
id
required
Array<number>
name
required
string
queue_priority
required
string
updated_at
required
string format: date-time
message
required
string
pagination
required
object
total
required
number format: int64
status
required
string
Example
{ "code": "200", "data": [ { "id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6" } ], "message": "success", "status": "OK"}